/**
 * EAN13
 * www.algorytm.org
 * (c)2005 Tomasz Lubinski
 */
public class EAN13 {
	
	private static EAN13Validator EAN13Val;

	public static void main(String[] args) {
		
		String EAN13;
		
        System.out.println("Podaj numer EAN13");
        EAN13 = Console.readString("?");
        EAN13 = EAN13.replaceAll("-", "");  //remove all -
        EAN13 = EAN13.replaceAll(" ", "");  //remove all spaces      
        EAN13Val = new EAN13Validator(EAN13);
        
        if (EAN13Val.isValid()) {
        	System.out.println("Numer EAN13 jest prawidowy");
        	System.out.println("Kraj pochodzenia " + EAN13Val.getCountry());
        	
        }
        else {
        	System.out.println("Numer EAN13 jest nieprawidowy");
        }
	}
}
